# ircbot.rb

Path: | lib/rbot/ircbot.rb
Last Update: | Thu Feb 09 13:27:58 +0000 2017

### Required files

thread etc fileutils logger pp rbot/rbotconfig rbot/load-gettext rbot/config rbot/config-compat rbot/irc rbot/rfc2812 rbot/ircsocket rbot/botuser rbot/timer rbot/plugins rbot/message rbot/language rbot/dbhash rbot/registry

### Methods

debug error fatal halt_logger log log_session_end log_session_start pretty_inspect rawlog restart_logger warning

### Public Instance methods

debug(message=nil, who_pos=1)
error(message=nil, who_pos=1)
fatal(message=nil, who_pos=1)
halt_logger()
log(message=nil, who_pos=1)
log_session_end()
log_session_start()
pretty_inspect()
rawlog(level, message=nil, who_pos=1)
restart_logger(newlogger = false)
warning(message=nil, who_pos=1)

[Validate]